import 'package:json_annotation/json_annotation.dart';

part 'basic_response.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class BasicResponseDTO {
  BasicResponseDTO(
      {required this.succeeded,
        required this.message});

  final bool succeeded;
  final String message;

  factory BasicResponseDTO.fromJson(Map<String, dynamic> json) => _$BasicResponseDTOFromJson(json);
  Map<dynamic, dynamic> toJson() => _$BasicResponseDTOToJson(this);
}
